#
# spec file for package yast2-packager (Version 2.9.51)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gpp libgpp libtool libxcrypt libxcrypt-devel yast2-bootloader yast2-country yast2-devel-packages yast2-installation yast2-storage yast2-x11

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info chkconfig kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam  patch  popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel autoconf automake binutils curl dejagnu doxygen expect gcc gcc-c++ gdbm gettext libstdc++-devel libtool libxcrypt-devel liby2util liby2util-devel openslp openslp-devel perl perl-XML-Writer perl-gettext  rpm tcl update-desktop-files yast2 yast2-bootloader yast2-core yast2-core-devel yast2-country yast2-devtools  yast2-packagemanager yast2-packagemanager-devel yast2-perl-bindings yast2-storage yast2-testsuite yast2-x11 suse-macros yast2-installation

Name:         yast2-packager
Version:      2.9.51
Release:      0.2
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-packager-2.9.51.tar.bz2
prefix:		/usr
Requires:     yast2 yast2-x11
Provides:     yast2-config-package-manager
Obsoletes:    yast2-config-package-manager
Provides:     y2t_spkg y2t_inst-packages y2pkginf y2c_spkg
Obsoletes:    y2t_spkg y2t_inst-packages y2pkginf y2c_spkg
Provides:     yast2-trans-package-manager yast2-trans-inst-packages
Obsoletes:    yast2-trans-package-manager yast2-trans-inst-packages
Summary:      YaST2 - Package Library

%description
This package contains the scanner/parser and dependency checker for all
packages handled by YaST2.



Authors:
--------
    Klaus Kaempf <kkaempf@suse.de>
    Stefan Schubert <schubi@suse.de>
    Arvin Schnell <arvin@suse.de>

%prep
%setup -n yast2-packager-2.9.51

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
#g++32 can't support mtune parameter
RPM_OPT_FLAGS=`echo "$RPM_OPT_FLAGS" | sed -e 's/-mtune=pentium4//'`
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
CXX=g++32 CC=gcc32 ./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/YaST2/include/inst_source_dialogs.ycp
/usr/share/YaST2/clients/*.ycp
/usr/share/YaST2/modules/*
#%{prefix}/share/applications/YaST2/*.desktop
%doc %{prefix}/share/doc/packages/yast2-packager

%changelog -n yast2-packager
* Mon Mar 12 2007 - wenji.huang@oracle.com
- Fit spec to RHEL/EL
* Fri May 28 2004 - arvin@suse.de
- nicer dialog with failed packages (bug #37529)
* Thu May 27 2004 - arvin@suse.de
- fixed eject button (bug #39872)
* Tue May 25 2004 - arvin@suse.de
- maybe fixed slide show (bug #38708)
* Fri May 21 2004 - nashif@suse.de
- Use Report for failing messages
- Also allow space delimited fields in order/instorder
* Tue May 18 2004 - sh@suse.de
- Changed slide show layout to make more CDs fit (bug #35612)
* Tue May 04 2004 - arvin@suse.de
- merged proofread messages
* Tue Apr 27 2004 - jsrain@suse.cz
- update EFI partitioning layout before package update starts
  (#21644)
- 2.9.45
* Thu Apr 22 2004 - arvin@suse.de
- don't install iprutils on prep (bug #39292)
* Mon Apr 05 2004 - arvin@suse.de
- load all network modules during update (bug #38115)
* Fri Apr 02 2004 - arvin@suse.de
- finally changed license to GPL for good
* Thu Apr 01 2004 - arvin@suse.de
- enhanced media label handling in media change callback
  (bug #35924)
* Thu Apr 01 2004 - arvin@suse.de
- install download callbacks only during slide show (bug #37151)
* Thu Apr 01 2004 - kkaempf@suse.de
- skip base selection screen if there is no choice (#37831)
* Wed Mar 31 2004 - arvin@suse.de
- added product feature about suboptimal distribution (bug #36823)
* Tue Mar 30 2004 - fehr@suse.de
- add storage dependent package to ComputeSystemPackageList (#37279)
- 2.9.39
* Mon Mar 29 2004 - kkaempf@suse.de
- use the fallback kernel (#37326)
- 2.9.38
* Sat Mar 27 2004 - arvin@suse.de
- fixed syntax error
* Fri Mar 26 2004 - arvin@suse.de
- removed useless popup (bug #37042)
* Wed Mar 24 2004 - arvin@suse.de
- fixed update of default runlevel for old distributions
* Wed Mar 24 2004 - kkaempf@suse.de
- ppc64-tools -> ppc64-utils (#23386)
- 2.9.34
* Tue Mar 23 2004 - arvin@suse.de
- disable reset of packagemanager again (bug #36788)
* Tue Mar 23 2004 - kkaempf@suse.de
- Fix "progress done" popup (#36783)
- 2.9.32
* Tue Mar 23 2004 - arvin@suse.de
- handle installation from name-based virtual hosts (bug #34452)
* Tue Mar 23 2004 - lnussel@suse.de
- set sort key in desktop file to move module icon to front (#36466)
* Mon Mar 22 2004 - arvin@suse.de
- reset packagemanager if user resets proposal (bug #35787)
* Fri Mar 19 2004 - nashif@suse.de
- close all sources, target and reset destdir after die install
  (#36465)
* Wed Mar 17 2004 - arvin@suse.de
- added download progress callbacks (bug #31445)
* Wed Mar 17 2004 - arvin@suse.de
- don't ignore return of Pkg::DoProvide (bug #36022)
* Tue Mar 16 2004 - kkaempf@suse.de
- run GNOME cleanup before upgrade starts (#36196)
* Sat Mar 13 2004 - arvin@suse.de
- DVD sides are called "Side A" and "Side B"
* Fri Mar 12 2004 - arvin@suse.de
- fixed use of Pkg::SourceGeneralData (bug #35712)
* Fri Mar 12 2004 - sh@suse.de
- Fixed bug #34973: No slide show
  Now doing late initialization to overcome initialization
  dependencies
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.23
- Migration to new wizard
- Fixed ycpc complaints
* Tue Mar 09 2004 - kkaempf@suse.de
- vnc -> tightvnc, drop mesasoft (ro@suse.de)
- use Report module (nashif@suse.de)
- 2.9.22
* Thu Mar 04 2004 - kkaempf@suse.de
- revoke bugfix #35052, this needs another solution
* Thu Mar 04 2004 - visnov@suse.cz
- 2.9.19
* Thu Mar 04 2004 - kkaempf@suse.de
- implement full kernel fallback strategy
* Thu Mar 04 2004 - visnov@suse.cz
- added type info
* Wed Mar 03 2004 - nashif@suse.de
- Read product features from new feature module
* Wed Mar 03 2004 - msvec@suse.cz
- fixed textdomain
- fixed one message to use plural
* Tue Mar 02 2004 - arvin@suse.de
- make it build
* Fri Feb 27 2004 - nashif@suse.de
- Move software_proposal from installation
- Adapted for new Control file
* Thu Feb 26 2004 - kkaempf@suse.de
- install in one go if packages are coming via network (#35052)
* Wed Feb 25 2004 - arvin@suse.de
- improved setting of locales of packagemanager
* Wed Feb 25 2004 - arvin@suse.de
- fixed update mode (bug #34994 and #35007)
* Tue Feb 24 2004 - arvin@suse.de
- check return value of Pkg::SourceProvideDir (bug #28346)
* Fri Feb 20 2004 - arvin@suse.de
- during update make backup of /var/log/YaST2 and then remove it
  before starting real update (bug #31743)
* Fri Feb 20 2004 - arvin@suse.de
- reduced minimum of free space required on a partition to 1 MB
  (bug #33074)
* Fri Feb 20 2004 - arvin@suse.de
- removed yast2-mouse from neededforbuild
* Fri Feb 20 2004 - cschum@suse.de
- Add support for canceling changes in the installation source
  configuration.
* Thu Feb 19 2004 - kkaempf@suse.de
- drop "cpufreqd" and "apmd" on all platforms, now "powersave"
  will be installed.
* Thu Feb 19 2004 - mvidner@suse.cz
- changed sort to use "<" instead of "<=" because of the switch to std::sort
* Mon Feb 16 2004 - arvin@suse.de
- added more flexible package handling for products
* Mon Feb 16 2004 - arvin@suse.de
- added yast2-x11 to requires (bug #34558)
* Thu Feb 12 2004 - arvin@suse.de
- fixes for new interpreter
* Wed Feb 11 2004 - arvin@suse.de
- more control over base selection handling
* Sat Feb 07 2004 - arvin@suse.de
- removed config files (*.y2cc)
* Fri Feb 06 2004 - gs@suse.de
- function keys added to buttons of the Source of Installation
  dialog
* Thu Feb 05 2004 - arvin@suse.de
- fixed calling of Pkg::TargetInitDU
* Wed Feb 04 2004 - arvin@suse.de
- fixed some SlideShow callbacks
* Sun Feb 01 2004 - arvin@suse.de
- fixed return value in inst_kickoff.ycp
* Sat Jan 31 2004 - arvin@suse.de
- fixed faking of mtab in inst_kickoff.ycp
- import Directory in inst_kickoff.ycp
* Mon Jan 19 2004 - arvin@suse.de
- united inst_rpmcopy.ycp and inst_rpmupdate.ycp
- added inst_kickoff.ycp
* Fri Jan 16 2004 - arvin@suse.de
- restore callbacks after slideshow
* Thu Jan 15 2004 - jsrain@suse.de
- Require.ycp and package callbacks initialization moved to
  yast2.ycp
* Thu Nov 20 2003 - sh@suse.de
- Break circular dependencies: Moved "import SlideShowCallbacks"
  from "SlideShow.ycp" to "Packager.ycp"
* Fri Oct 24 2003 - arvin@suse.de
- better (more inexpressive) message during rpm database convert
  (bug #30457)
* Thu Oct 23 2003 - jsrain@suse.de
- made more interface of Require global
* Tue Sep 23 2003 - arvin@suse.de
- fixed media change callback for double sided media
* Tue Sep 23 2003 - sh@suse.de
- Fixed bug #31491: No slide show in exotic update case
* Tue Sep 23 2003 - sh@suse.de
- V 2.8.24
- Fixed bug #31606: Undeclared variable in SlideShow.ycp
* Sun Sep 21 2003 - arvin@suse.de
- finished support of double sided media
* Fri Sep 19 2003 - kkaempf@suse.de
- add numactl on AMD64-smp systems (#31338)
* Thu Sep 18 2003 - sh@suse.de
- V 2.8.22
- Fixed bug #31140: Predicted SlideShow timings
* Thu Sep 11 2003 - kkaempf@suse.de
- move Pkg::SetLocale() to Packages::Init() (#30438)
* Tue Sep 09 2003 - kkaempf@suse.de
- install 'cpufreqd' on laptops and
  single-processor AMD64 systems.
* Mon Sep 08 2003 - arvin@suse.de
- sync rpm database
* Fri Sep 05 2003 - sh@suse.de
- V 2.8.18
- Fixed bug #30151: Start pkg mgr in search mode by default
* Thu Sep 04 2003 - arvin@suse.de
- proof-read messages
* Thu Sep 04 2003 - kkaempf@suse.de
- clear list of yet-to-be-installed packages if all packages
  are installed.
* Thu Sep 04 2003 - kkaempf@suse.de
- acpid is installed by default now
* Tue Sep 02 2003 - kkaempf@suse.de
- add code to ask for front or back side of a media (unfinished).
* Sun Aug 31 2003 - arvin@suse.de
- use Popup::ConfirmAbort
* Sat Aug 30 2003 - arvin@suse.de
- fixed installing of required bootloader on alpha
* Fri Aug 29 2003 - arvin@suse.de
- implemented callbacks for converting rpm database (bug #29484)
* Thu Aug 28 2003 - arvin@suse.de
- run inst_rpmcopy during update after reboot
* Tue Aug 26 2003 - kkaempf@suse.de
- don't release the sources in sw_single any more, the package-
  manager handles this.
* Tue Aug 26 2003 - msvec@suse.cz
- add a proper error reporting (#29325)
- added missing imports
- 2.8.11
* Fri Aug 22 2003 - lnussel@suse.de
- add code for installing into a directory
* Fri Aug 22 2003 - arvin@suse.de
- skip inst_rpmcopy for update
* Thu Aug 21 2003 - nashif@suse.de
- Install post-package from CD1 in autoinst mode
* Tue Aug 19 2003 - arvin@suse.de
- always use String::FormatSize
* Tue Aug 19 2003 - arvin@suse.de
- fixed failed package message (bug #29091)
* Fri Aug 15 2003 - arvin@suse.de
- fixed summary of failed packages (bug #28758)
* Mon Aug 04 2003 - jsrain@suse.de
- Enhanced Require in order to provide information if
  RequireAndConflict* was canceled by user or really failed
- 2.8.6
* Tue Jul 22 2003 - cschum@suse.de
- Added "Replace" button to inst_source module (#25260).
- Let user edit URL in case of error (#21582).
- 2.8.5
* Mon Jul 21 2003 - mvidner@suse.cz
- Require::DoInstallAndRemove...: do not return nil.
- 2.8.4
* Thu Jun 26 2003 - msvec@suse.de
- using Label and Popup modules instead of includes in require.ycp
- 2.8.3
* Tue Jun 17 2003 - jsrain@suse.de
- using Label and Popup modules instead of includes in Require.ycp
- 2.8.2
* Wed May 07 2003 - kkaempf@suse.de
- add scpm, acpid, and irda if laptop (#26561)
- 2.8.1
* Tue Apr 01 2003 - arvin@suse.de
- fixed text in software selection (bug #25507)
- 2.8.0
* Mon Mar 17 2003 - kkaempf@suse.de
- drop extra code for certify CD, it's not needed any more.
- 2.7.33
* Sun Mar 16 2003 - kkaempf@suse.de
- call SlideShow::InitPkgData() after package status is
  determined (#25437)
- 2.7.32
* Sat Mar 15 2003 - kkaempf@suse.de
- don't call SpaceCalculation::GetPartitionInfo() at runtime,
  yast2-packagemanager does it itself (#23544)
- 2.7.31
* Sat Mar 15 2003 - kkaempf@suse.de
- fix typo in widget type
- 2.7.30
* Thu Mar 13 2003 - kkaempf@suse.de
- save the list of remaining source packages to srcremaining,
  re-read it in 2nd stage install and mark these packages
  as source-to-install properly. (#25318)
- 2.7.29
* Tue Mar 11 2003 - mvidner@suse.de
- Do not run SuSEconfig in [Rr]equire.ycp when adding packages
  during installation. Real fix for (#25071).
- 2.7.28
* Tue Mar 11 2003 - kkaempf@suse.de
- always let TargetInit create everything which doesn't exist.
  (#24932)
* Tue Mar 11 2003 - kkaempf@suse.de
- fix parameters of doneProvide() callback (#25081)
- 2.7.25
* Tue Mar 11 2003 - kkaempf@suse.de
- do not run SuSEconfig when adding packages during installation
  (#25071)
- 2.7.24
* Tue Mar 11 2003 - sh@suse.de
- Fixed blocker bug #25055: Change CD popup hangs
* Tue Mar 11 2003 - cschum@suse.de
- Don't wronlgy display an error when adding installation source
  from local directory (#24996).
- 2.7.22
* Mon Mar 10 2003 - kkaempf@suse.de
- fix syntax error in Require.ycp (#24994)
- 2.7.21
* Mon Mar 10 2003 - kkaempf@suse.de
- error popups have "Abort", "Retry", "Ignore" as buttons.
* Mon Mar 10 2003 - mvidner@suse.de
- [Rr]equire.ycp: fixed package installation after YOU (#24744).
- 2.7.19
* Sat Mar 08 2003 - arvin@suse.de
- added missing include statements (bug #24881)
* Thu Mar 06 2003 - kkaempf@suse.de
- prepend msg and button functions with UI:: namespace (#24704)
* Wed Mar 05 2003 - kkaempf@suse.de
- enhance provideDone and packageDone callbacks to pop up
  a window on error, displaying the error code and the last
  10 lines (tail) from y2logRPM. Offer ok/retry/skip/abort
  buttons and return the button code to the packagemanager.
  (#23780)
- 2.7.17
* Wed Mar 05 2003 - kkaempf@suse.de
- fallback to "k_deflt" if real kernel not available (#16047)
* Tue Mar 04 2003 - kkaempf@suse.de
- use new state checking functions to decide if the user has
  changed the selection (#23616)
* Mon Mar 03 2003 - gs@suse.de
- pass the floppy device to PackageSelector widget (needed to save
  or load a package selection, bug #23923)
* Mon Mar 03 2003 - arvin@suse.de
- once more merged proofread texts
* Fri Feb 28 2003 - kkaempf@suse.de
- don't start source unconditionally (in constructor) any more,
  but only if explicitly requested (#24201)
* Fri Feb 28 2003 - kkaempf@suse.de
- fix parameter for Pkg::DoProvide()
* Fri Feb 28 2003 - kkaempf@suse.de
- hide username:password from URL logging (#24473)
* Thu Feb 27 2003 - mvidner@suse.de
- require.ycp:
  * Fix not recognizing installed packages (#23882).
  * Do not call "Reading package information" until necessary (#20486).
- 2.7.12
* Wed Feb 26 2003 - kkaempf@suse.de
- pass language to packagemanager (#23828)
* Wed Feb 26 2003 - gs@suse.de
- bugfix in space calculation module (bug #24311)
* Mon Feb 24 2003 - kkaempf@suse.de
- Allow "yast2 -i <tagname>" besides "yast2 -i <packagename>".
* Mon Feb 24 2003 - cschum@suse.de
- Moved "Enable or Disable" button to own row (#20776).
* Fri Feb 21 2003 - sh@suse.de
- Fixed bug #23945: SpaceCalculation 14%% off
* Thu Feb 20 2003 - arvin@suse.de
- use title-style capitalization for menu names (bug #23848)
* Wed Feb 19 2003 - kkaempf@suse.de
- only offer eject button for cd or dvd (#23827)
- reduce duplicate code
* Wed Feb 19 2003 - kkaempf@suse.de
- check existance of id(`url) widget before checking its
  contents (#23786)
* Wed Feb 19 2003 - kkaempf@suse.de
- keep silent if no backup_path exists (#23784)
* Tue Feb 18 2003 - kkaempf@suse.de
- stop timer during wait for medium (#21026)
* Mon Feb 17 2003 - cschum@suse.de
- inst_source: Removed back and abort button because they didn't work.
- inst_source: Don't show redundant cd selection dialog.
- inst_source: Show "Adding source ..." dialog while adding a source.
* Tue Feb 11 2003 - kkaempf@suse.de
- Correct error message (#21754)
* Mon Feb 10 2003 - nashif@suse.de
- Modified names of autoinstall modules
- 2.7.5
* Fri Feb 07 2003 - arvin@suse.de
- add package ppc64-tools on chrp ppp64 boards (bug #23386)
* Mon Feb 03 2003 - arvin@suse.de
- new pot file handling
* Thu Jan 30 2003 - arvin@suse.de
- fixed autoinstalling of graphics packages (bug #22936)
* Tue Jan 28 2003 - arvin@suse.de
- fixed installation from DVD in VMWare (bug #21226)
* Fri Jan 24 2003 - gs@suse.de
- Calling SuSEConfig after deleting a package only (#22317)
* Tue Jan 14 2003 - arvin@suse.de
- support installation from DVD for drives that also have other
  capability (bug #20068)
* Fri Oct 18 2002 - kkaempf@suse.de
- de-select last tried selection if none of the base selections
  fits the current partitioning.
- remember if a "file provide" progress was started (for remote
  package sources).
- 2.6.78
* Fri Oct 18 2002 - kkaempf@suse.de
- remember choosen selection only if the selection fits, else
  force re-calculation of selections (#21077)
- 2.6.77
* Thu Oct 17 2002 - sh@suse.de
- V 2.6.76
- Recalc current medium progress on medium change
* Thu Oct 17 2002 - kkaempf@suse.de
- fix progress bar to stay on correct source
- 2.6.75
* Wed Oct 16 2002 - sh@suse.de
- V 2.6.74
- Fixed bug #20988: Time estimate for unneeded CD shown
* Tue Oct 15 2002 - sh@suse.de
- V 2.6.72
- Fixed bug #20008: Block installation if insufficient disk space
  even for minimal system
* Mon Oct 14 2002 - sh@suse.de
- Better fix for bug#20686 (partition overflow):
  Don't reset all SW settings, just warn what partition is
  overflowed
* Fri Oct 11 2002 - sh@suse.de
- Fixed bug #20686: SW selection resets without warning upon
  partition overflow
- V2.6.70
* Fri Oct 11 2002 - kkaempf@suse.de
- only activate the proposed selections if it's a new proposal.
  (#20194)
- 2.6.69
* Fri Oct 11 2002 - kkaempf@suse.de
- fix URL construction if installing from harddisk partition
  (#19803, lnussel@suse.de)
- 2.6.68
* Wed Oct 09 2002 - kkaempf@suse.de
- fix cd progress bar display when installing from
  multiple source (#20726)
- 2.6.67
* Tue Oct 08 2002 - kkaempf@suse.de
- fix SlideShow to display media sorted by source sorted by
  installation order (sh@suse.de)
- 2.6.66
* Mon Oct 07 2002 - kkaempf@suse.de
- read "yast/instorder" to specify installation order (#20609)
- 2.6.65
* Tue Oct 01 2002 - kkaempf@suse.de
- pass media number '0' to PkgCommit so all CDs get installed
  in a single run.
- 2.6.64
* Tue Oct 01 2002 - kkaempf@suse.de
- when slide show is available, display download progress in
  existing progress bar instead of an extra popup window.
* Tue Oct 01 2002 - kkaempf@suse.de
- fix sorting selections by order. Allow multiple selections
  with equal order.
* Mon Sep 30 2002 - kkaempf@suse.de
- declare 'shutup' where needed.
* Thu Sep 26 2002 - arvin@suse.de
- more fixes for slide show
* Wed Sep 25 2002 - arvin@suse.de
- if necessary append leading slash to serverdir of
  installation url (bug #20152)
* Tue Sep 24 2002 - arvin@suse.de
- workaround to get slide show working on systems with
  big memory
* Fri Sep 20 2002 - kkaempf@suse.de
- add SourceChange callback
- 2.6.60
* Thu Sep 19 2002 - kkaempf@suse.de
- replace unused variable in space calculation
- 2.6.59
* Thu Sep 19 2002 - kkaempf@suse.de
- fix SpaceCalculation, it's all in bytes.
- usage calculation in packagemanager returns the
  new usage (current usage + package diff), not the diff only.
- dont restart packagemanager internally.
- drop unneeded popup during packager init.
- 2.6.58
* Wed Sep 18 2002 - kkaempf@suse.de
- implement separated installation and product medias.
- 2.6.57
* Tue Sep 17 2002 - kkaempf@suse.de
- read y2logRPM from target directory (#19772)
* Mon Sep 16 2002 - mvidner@suse.de
- Added missing translation marks to On/Off (inst. source selection).
* Mon Sep 16 2002 - kkaempf@suse.de
- remove unneeded Packages::Save() (#19591)
- 2.6.56
* Fri Sep 13 2002 - kukuk@suse.de
- Revert fix for space calculation, breaks space calculation on
  update (workaround for #19657)
* Fri Sep 13 2002 - lnussel@suse.de
- initialize target system in continue mode too, to make backup work (#19620)
- 2.6.55
* Fri Sep 13 2002 - lnussel@suse.de
- fix wrong function call for space calculation
- 2.6.54
* Fri Sep 13 2002 - mvidner@suse.cz
- Re-fixed #19550: kernel change would never be detected.
- 2.6.53
* Fri Sep 13 2002 - lnussel@suse.de
- treat nil as empty too
- 2.6.51
* Fri Sep 13 2002 - lnussel@suse.de
- read /var/lib/YaST2/backup_path to determine wheter backups have to be created
- 2.6.51
* Thu Sep 12 2002 - kkaempf@suse.de
- release media at end
- 2.6.49
* Thu Sep 12 2002 - kkaempf@suse.de
- call rewriteUrl correctly (#19501)
- start package at 0%%, end at 100%% (#19506)
- popup "please wait" during packagemanager init
- drop unused CallbackDisplayError()
- display full slide show during runtime (#19496)
- correctly evaluate return from package selection (#19055)
- check if kernel changed in sw_single (#19550)
- 2.6.48
* Wed Sep 11 2002 - kkaempf@suse.de
- save/restore state of packages
- allow to abort during package installation
- 2.6.47
* Wed Sep 11 2002 - kkaempf@suse.de
- fix callback label display (gs@suse.de) (#19178)
- 2.6.46
* Wed Sep 11 2002 - kkaempf@suse.de
- solve packages installed with "yast2 -i" and popup
  conflicts if any exist.
- 2.6.45
* Wed Sep 11 2002 - kkaempf@suse.de
- correctly init SpaceCalculation during runtime (#19458)
- 2.6.44
* Wed Sep 11 2002 - kkaempf@suse.de
- evaluate return code from package selection (#19142)
- 2.6.43
* Wed Sep 11 2002 - kkaempf@suse.de
- rewrite cd/dvd url in 2nd stage of installation (#19185)
- 2.6.42
* Wed Sep 11 2002 - kkaempf@suse.de
- drop argument "beginner" in calling sw_single
- 2.6.41
* Wed Sep 11 2002 - kkaempf@suse.de
- full source media manager (cschum@suse.de)
- show failed packages or full log after PackageInstallation
- 2.6.40
* Tue Sep 10 2002 - kkaempf@suse.de
- Add "url" text entry to media change popup
- 2.6.39
* Mon Sep 09 2002 - kkaempf@suse.de
- show "Ignore" only if prompting with wrong media
- 2.6.38
* Mon Sep 09 2002 - kkaempf@suse.de
- fix handling of installation sources (cschum@suse.de)
- move source handling to spkg (runtime stuff)
- init SpaceCalculation at runtime properly
- 2.6.36
* Mon Sep 09 2002 - mvidner@suse.cz
- require.ycp: Fixed DoInstallAndRemove (#18904).
- 2.6.35
* Mon Sep 09 2002 - kkaempf@suse.de
- call solver after activating selections
- allow installing list of packages from ascii file
- fix filtering network related data from install.inf
- 2.6.33
* Mon Sep 09 2002 - kkaempf@suse.de
- check base selections in reverse order for matching partition
  space (default ... minimal). Selection with highest priority
  matching the current partitioning will be choosen (#18855)
- 2.6.34
* Mon Sep 09 2002 - kkaempf@suse.de
- InstURL: default directory to "/"
- PackageCallbacks: remove bogus loop
- 2.6.32
* Sun Sep 08 2002 - kkaempf@suse.de
- pass correct locale to packagemanager
- filter /etc/install.inf entries, linuxrc bug workaround
- 2.6.31
* Sat Sep 07 2002 - kkaempf@suse.de
- adapt media change api
- 2.6.30
* Sat Sep 07 2002 - kkaempf@suse.de
- pass probed devices to URL
- 2.6.29
* Fri Sep 06 2002 - kkaempf@suse.de
- prepare for handling of multiple sources (cschum@suse.de)
- 2.6.28
* Fri Sep 06 2002 - kkaempf@suse.de
- report failed packages properly (#19022)
- addind missing import to Packages.ycp (nashif@suse.de)
- 2.6.27
* Thu Sep 05 2002 - kkaempf@suse.de
- properly detect cd,dvd drives
- 2.6.26
* Thu Sep 05 2002 - mvidner@suse.cz
- require.ycp: Adapted for the new packagemanager, yet again. (#18904)
- 2.6.25
* Wed Sep 04 2002 - kkaempf@suse.de
- fix run-time package selection
- 2.6.24
* Wed Sep 04 2002 - kkaempf@suse.de
- force /dev/cdrom symlink
- 2.6.23
* Wed Sep 04 2002 - kkaempf@suse.de
- Fix MediaChange callback in PackageCallbacks
  import old code from MediaUI. Drop MediaUI.
- 2.6.22
* Wed Sep 04 2002 - mvidner@suse.cz
- Re-added require.ycp which got dropped by an accident.
- 2.6.21
* Tue Sep 03 2002 - kkaempf@suse.de
- improved callback handling
- cleaned up sw_single
- 2.6.20
* Thu Aug 29 2002 - kkaempf@suse.de
- symlink /dev/cdrom for DVD too
- 2.6.19
* Thu Aug 29 2002 - kkaempf@suse.de
- activate selections before entering package manager (#18501)
- show all selected selections in proposal (#18523)
* Thu Aug 29 2002 - kkaempf@suse.de
- Add directory to Url if not given by linuxrc
- 2.6.18
* Wed Aug 28 2002 - kkaempf@suse.de
- drop InstMedia, it's all in packagemanager now
- 2.6.17
* Tue Aug 27 2002 - kkaempf@suse.de
- fix installation workflow to properly report progress
- 2.6.16
* Mon Aug 26 2002 - mvidner@suse.cz
- require.ycp: Adapted for the new packagemanager.
- require.ycp: New function IsPackageAvailable.
- 2.6.15
* Mon Aug 26 2002 - kkaempf@suse.de
- copy /etc/passwd and /etc/group from inst-sys to target (#18243).
* Thu Aug 22 2002 - kkaempf@suse.de
- default to UnitedLinux.sel if default.sel missing
  default to first available base selection if UnitedLinux.sel
  missing too.a
  give up and make a blocker error if no base selection exists.
  (#18207)
* Thu Aug 22 2002 - nashif@suse.de
- disabled testsuite for spkg for now
- fixed spec
* Wed Aug 21 2002 - kkaempf@suse.de
- fix for build
  V 2.6.12
* Wed Aug 21 2002 - kkaempf@suse.de
- initial switch to new packagemanager.
- V 2.6.11
* Mon Aug 12 2002 - kkaempf@suse.de
- fix /etc/install.inf:InstMode reading.
- fix network parameters reading.
* Mon Aug 05 2002 - arvin@suse.de
- changes for new /etc/install.inf agent
* Mon Aug 05 2002 - kkaempf@suse.de
- added xf86, mesasoft to required packages for vnc installation
- provide create_update_inf
* Fri Aug 02 2002 - arvin@suse.de
- added yast2-qt to required packages for vnc installation
* Mon Jul 29 2002 - arvin@suse.de
- make correct package
* Fri Jul 26 2002 - ms@suse.de
- changed use of X11 module. The X11 module does no longer exist
  to provide the information of "having X11" installed (have_x11) the
  module X11Version is used
* Wed Jul 24 2002 - kkaempf@suse.de
- provide "create_update_inf"
* Tue Jul 16 2002 - arvin@suse.de
- include rpm groups names for translation
* Tue Jul 09 2002 - mvidner@suse.cz
- fixed Provides/Obsoletes
* Sat Jul 06 2002 - arvin@suse.de
- added config files to file list
* Thu Jul 04 2002 - arvin@suse.de
- added ag_instsource to file list
- fixed location of include files
* Wed Jul 03 2002 - arvin@suse.de
- merged yast2-agent-package and yast2-agent-targetpkg
- moved non binary files to /usr/share/YaST2
* Mon Jul 01 2002 - arvin@suse.de
- fixed linking on lib64 archs
* Mon Jul 01 2002 - arvin@suse.de
- merged libpkg, client-packager (for yast2-core-clients) and
  some package related scripts (from yast2-inst) to new
  package yast2-packager
